<?
$sa = qw("SELECT * FROM stroyka2 WHERE strana='$re1[strana]'");
while($as = mysql_fetch_array($sa)){
switch($as[vid]){
case 11:
$hata="Цитадель построена";$hat="цитадель";
break;
case 13:
$hata="Дом войны построен";$hat="дом войны";
break;
case 12:
$hata="Рынок построен";$hat="рынок";
break;
case 14:
$hata="Завод построен";$hat="завод";
break;
case 15:
$hata="Научный центр построен";$hat="научный центр";
break;

}
$trm1=time();$tst1=round(($as[data]+$as[time])-$trm1);
$sec = $tst1;
$min = floor($sec/60);$sec-=$min*60;
$z4=$as[data];
if($tst1>0){
echo"<b>{</b>";echo'<a href="game.php?make=9&id='.$as[id].'&der='.$key.'">'.$hat.'</a>';echo"(<b>$min</b>м.<b>$sec</b>c.)";echo"<b>}</b><br/>";
}else{
$s1=date("H");$s2=date("i");
qw("UPDATE gos2 SET rab=rab+$as[rab] WHERE strana='$re1[strana]'");
qw("UPDATE domik SET $as[dom]='2' WHERE strana='$re1[strana]'");
qw("DELETE FROM stroyka2 WHERE strana='$re1[strana]' AND id='$as[id]'");
$data=time();
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$re1[strana]','@','$data','0','0','$hata')");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('1','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'$hata')");
header("Location:game.php?der=$key");
}

}
?>